#!/bin/bash
declare fqdn="${1:?}"

fwconsole certificates --import
fwconsole certificates --updateall

for certfile in pem key crt; do
    rsync -av --itemize-changes {'/etc/asterisk/keys/'"${fqdn}",'/etc/apache2/pki/webserver'}'.'"${certfile}"
done

apachectl configtest &>/dev/null && \
    fwconsole reload && \
    systemctl try-reload-or-restart apache2.service
