#!/bin/bash
compose_ctx="${1:?}"

chown -v '70:70' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/postgres/config/cert/'{'.ZBX_DB_CA_FILE','.ZBX_DB_CERT_FILE','.ZBX_DB_KEY_FILE'}
chmod -v '0600' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/postgres/config/cert/'{'.ZBX_DB_CA_FILE','.ZBX_DB_CERT_FILE','.ZBX_DB_KEY_FILE'}
if systemctl --quiet is-active docker.service; then
    if [ "$( docker container inspect -f '{{.State.Running}}' 'zabbixserver-postgres-'"${compose_ctx}" )" = "true" ]; then
        docker exec -t 'zabbixserver-postgres-'"${compose_ctx}" sh -c 'pg_ctl reload -s'
    fi
    if [ "$( docker container inspect -f '{{.State.Running}}' 'zabbixserver-zabbixserver-'"${compose_ctx}" )" = "true" ]; then
        docker exec -t 'zabbixserver-zabbixserver-'"${compose_ctx}" sh -c 'zabbix_server --runtime-control config_cache_reload'
    fi
fi
