#!/bin/bash
compose_ctx="${1:?}"

if systemctl --quiet is-active docker.service; then
    if [ "$( docker container inspect -f '{{.State.Running}}' 'zabbixserver-zabbixserver-'"${compose_ctx}" )" = "true" ]; then
        docker exec -t 'zabbixserver-zabbixserver-'"${compose_ctx}" sh -c 'zabbix_server --runtime-control config_cache_reload'
    fi
fi
