#!/bin/bash
declare haproxy_container="${1:?}"
if systemctl --quiet is-active docker.service; then
    if [[ "$( docker container inspect -f '{{.State.Running}}' "${haproxy_container}" 2> /dev/null )" == "true" ]]; then
        docker exec -t "${haproxy_container}" haproxy -c -f /usr/local/etc/haproxy/haproxy.cfg && \
        docker kill --signal SIGHUP "${haproxy_container}"
    fi
fi
